Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Typedefs | Enumerations | Functions
Tokens

## Data Structures
struct | yaml_token_s
| The token structure. More...

## Typedefs
typedef enum yaml_token_type_e | yaml_token_type_t
| Token types. More...
typedef struct yaml_token_s | yaml_token_t
| The token structure. More...

## Enumerations
enum | yaml_token_type_e { YAML_NO_TOKEN, YAML_STREAM_START_TOKEN, YAML_STREAM_END_TOKEN, YAML_VERSION_DIRECTIVE_TOKEN, YAML_TAG_DIRECTIVE_TOKEN, YAML_DOCUMENT_START_TOKEN, YAML_DOCUMENT_END_TOKEN, YAML_BLOCK_SEQUENCE_START_TOKEN, YAML_BLOCK_MAPPING_START_TOKEN, YAML_BLOCK_END_TOKEN, YAML_FLOW_SEQUENCE_START_TOKEN, YAML_FLOW_SEQUENCE_END_TOKEN, YAML_FLOW_MAPPING_START_TOKEN, YAML_FLOW_MAPPING_END_TOKEN, YAML_BLOCK_ENTRY_TOKEN, YAML_FLOW_ENTRY_TOKEN, YAML_KEY_TOKEN, YAML_VALUE_TOKEN, YAML_ALIAS_TOKEN, YAML_ANCHOR_TOKEN, YAML_TAG_TOKEN, YAML_SCALAR_TOKEN }
| Token types. More...

## Functions
| yaml_token_delete (yaml_token_t *token)
| Free any memory allocated for a token object. More...

## Detailed Description

## Typedef Documentation

typedef struct yaml_token_s yaml_token_t

The token structure.

typedef enum yaml_token_type_e yaml_token_type_t

Token types.

## Enumeration Type Documentation

enum yaml_token_type_e

Token types.

Enumerator
YAML_NO_TOKEN | An empty token.
YAML_STREAM_START_TOKEN | A STREAM-START token.
YAML_STREAM_END_TOKEN | A STREAM-END token.
YAML_VERSION_DIRECTIVE_TOKEN | A VERSION-DIRECTIVE token.
YAML_TAG_DIRECTIVE_TOKEN | A TAG-DIRECTIVE token.
YAML_DOCUMENT_START_TOKEN | A DOCUMENT-START token.
YAML_DOCUMENT_END_TOKEN | A DOCUMENT-END token.
YAML_BLOCK_SEQUENCE_START_TOKEN | A BLOCK-SEQUENCE-START token.
YAML_BLOCK_MAPPING_START_TOKEN | A BLOCK-SEQUENCE-END token.
YAML_BLOCK_END_TOKEN | A BLOCK-END token.
YAML_FLOW_SEQUENCE_START_TOKEN | A FLOW-SEQUENCE-START token.
YAML_FLOW_SEQUENCE_END_TOKEN | A FLOW-SEQUENCE-END token.
YAML_FLOW_MAPPING_START_TOKEN | A FLOW-MAPPING-START token.
YAML_FLOW_MAPPING_END_TOKEN | A FLOW-MAPPING-END token.
YAML_BLOCK_ENTRY_TOKEN | A BLOCK-ENTRY token.
YAML_FLOW_ENTRY_TOKEN | A FLOW-ENTRY token.
YAML_KEY_TOKEN | A KEY token.
YAML_VALUE_TOKEN | A VALUE token.
YAML_ALIAS_TOKEN | An ALIAS token.
YAML_ANCHOR_TOKEN | An ANCHOR token.
YAML_TAG_TOKEN | A TAG token.
YAML_SCALAR_TOKEN | A SCALAR token.

Definition at line 213 of file yaml.h.

## Function Documentation

yaml_token_delete | ( | yaml_token_t * | token | ) |

Free any memory allocated for a token object.

Parameters

  [in,out] | token | A token object.

Definition at line 578 of file api.c.

References assert, memset(), YAML_ALIAS_TOKEN, YAML_ANCHOR_TOKEN, yaml_free(), YAML_SCALAR_TOKEN, YAML_TAG_DIRECTIVE_TOKEN, and YAML_TAG_TOKEN.

Referenced by yaml_parser_delete(), yaml_parser_fetch_anchor(), yaml_parser_fetch_block_scalar(), yaml_parser_fetch_directive(), yaml_parser_fetch_flow_scalar(), yaml_parser_fetch_plain_scalar(), and yaml_parser_fetch_tag().